%global plugin_name pipeline-model-definition

Summary:    1.1.4
Name:       jenkins-plugin-%{plugin_name}
Version:    1.1.4
Release:    1%{?dist}
License:    ASL 2.0
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Pipeline+Model+Definition+Plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 2.7.1
Requires:   jenkins-plugin-pipeline-stage-tags-metadata
Requires:   jenkins-plugin-pipeline-model-extensions
Requires:   jenkins-plugin-pipeline-model-declarative-agent
Requires:   jenkins-plugin-pipeline-model-api
Requires:   jenkins-plugin-scm-api
Requires:   jenkins-plugin-pipeline-stage-step
Requires:   jenkins-plugin-docker-workflow
Requires:   jenkins-plugin-credentials-binding
Requires:   jenkins-plugin-workflow-support
Requires:   jenkins-plugin-workflow-scm-step
Requires:   jenkins-plugin-workflow-multibranch
Requires:   jenkins-plugin-workflow-durable-task-step
Requires:   jenkins-plugin-workflow-cps
Requires:   jenkins-plugin-workflow-cps-global-lib
Requires:   jenkins-plugin-workflow-basic-steps
Requires:   jenkins-plugin-workflow-api

%description
An opinionated, declarative Pipeline

%prep


%build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_libdir}/jenkins/
cp %{SOURCE0} %{buildroot}/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Fri May 12 2017 Troy Dawson <tdawson@redhat.com> - 1.1.4-1
- Update to 1.1.4

